Subject: bug#19696: Acknowledgement (24.4; python.el: blank line eldoc error)

From: Carlos Pita <[email-masked]>
Date: Wed, 4 Feb 2015 15:43:28 -0300

When I initially reported this bug I was using an early build (post
24.4) of master. Now I'm at work with 24.4 and downloaded the latest
python.el from master just to answer you. But let me build the latest
master and try again.

On Wed, Feb 4, 2015 at 3:35 PM, Stefan Monnier <[email-masked]> wrote:
>> I'm not the expert here, but could it be that there is no previous
>> value for eldoc-documentation-function?
>
> eldoc-documentation-function is defined in eldoc.el as:
>
>     (defvar eldoc-documentation-function #'ignore
>       ...)
>
> and eldoc.el is preloaded, so the var should not be nil.
>
> Which version of Emacs is that?  Your report seems to say Emacs-24.4,
> but the add-function call in python.el is new in master, AFAICT.
> Are you by any chance using the python.el from master with an
> older Emacs?
>
>
>         Stefan